# Generated by Django 2.1.7 on 2019-04-02 06:32

import re

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    def createProduct(apps, schema_editor):
        SubscriptionProduct = apps.get_model('juntagrico', 'SubscriptionProduct')
        SubscriptionSize = apps.get_model('juntagrico', 'SubscriptionSize')
        if SubscriptionSize.objects.count() > 0:
            SubscriptionProduct.objects.create(name='Product', description='')

    dependencies = [
        ('juntagrico', '0015_auto_20180924_2053'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubscriptionProduct',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='Name')),
                ('description', models.TextField(blank=True, max_length=1000, verbose_name='Beschreibung')),
            ],
            options={
                'verbose_name': 'Abo-Produkt',
                'verbose_name_plural': 'Abo-Produkt',
            },
        ),
        migrations.RunPython(createProduct),
        migrations.AlterModelOptions(
            name='subscriptionsize',
            options={'verbose_name': 'Abo-Grösse', 'verbose_name_plural': 'Abo-Grössen'},
        ),
        migrations.AlterModelOptions(
            name='subscriptiontype',
            options={'verbose_name': 'Abo-Typ', 'verbose_name_plural': 'Abo-Typen'},
        ),
        migrations.AlterField(
            model_name='depot',
            name='code',
            field=models.CharField(max_length=100, unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Sortier-Code'),
        ),
        migrations.AlterField(
            model_name='job',
            name='multiplier',
            field=models.PositiveIntegerField(default=1, verbose_name='Arbeitseinsatz) vielfaches'),
        ),
        migrations.AlterField(
            model_name='subscriptionsize',
            name='long_name',
            field=models.CharField(max_length=100, verbose_name='Langer Name'),
        ),
        migrations.AlterField(
            model_name='subscriptionsize',
            name='name',
            field=models.CharField(max_length=100, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='subscriptionsize',
            name='units',
            field=models.FloatField(verbose_name='Einheiten'),
        ),
        migrations.AddField(
            model_name='subscriptionsize',
            name='product',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='sizes', to='juntagrico.SubscriptionProduct'),
            preserve_default=False,
        ),
        migrations.AlterUniqueTogether(
            name='subscriptionsize',
            unique_together={('units', 'product')},
        ),
    ]
